> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 로그 목록 조회

> 현 비즈니스의 openapi 호출 로그를 조회합니다.

**범위:** 최근 14일 이내 호출만 반환합니다.

**응답 필드:** method, path, status_code, ip_address, referrer, request_body(JSON), response_body(JSON), created.

openapi.json 조회와 swagger UI 요청은 로깅에서 제외됩니다.



## OpenAPI

````yaml GET /v1/log/
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/log/:
    get:
      tags:
        - openapi
      summary: API 호출 로그 목록
      description: >-
        현 비즈니스의 openapi 호출 로그를 조회합니다.


        **범위:** 최근 14일 이내 호출만 반환합니다.


        **응답 필드:** method, path, status_code, ip_address, referrer,
        request_body(JSON), response_body(JSON), created.


        openapi.json 조회와 swagger UI 요청은 로깅에서 제외됩니다.
      operationId: log_list
      parameters:
        - name: cursor
          required: false
          in: query
          description: Pagination을 위한 커서
          schema:
            type: string
        - name: page_size
          required: false
          in: query
          description: 한번에 조회할 데이터의 개수 (limit)
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedOpenapiLogList'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    PaginatedOpenapiLogList:
      type: object
      required:
        - results
      properties:
        next:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cD00ODY%3D"
        previous:
          type:
            - string
            - 'null'
          format: uri
          example: http://api.example.org/accounts/?cursor=cj0xJnA9NDg3
        results:
          type: array
          items:
            $ref: '#/components/schemas/OpenapiLog'
    OpenapiLog:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        ipAddress:
          type:
            - string
            - 'null'
          readOnly: true
        method:
          type:
            - string
            - 'null'
          readOnly: true
        path:
          type:
            - string
            - 'null'
          readOnly: true
        referrer:
          type:
            - string
            - 'null'
          format: uri
          readOnly: true
        statusCode:
          type:
            - string
            - 'null'
          readOnly: true
        requestBody:
          readOnly: true
        responseBody:
          readOnly: true
        created:
          type: string
          format: date-time
          readOnly: true
      required:
        - created
        - id
        - ipAddress
        - method
        - path
        - referrer
        - requestBody
        - responseBody
        - statusCode
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````